org.apache.solr.analytics.statistics

## Class StatsCollectorSupplierFactory

- java.lang.Object
- - org.apache.solr.analytics.statistics.StatsCollectorSupplierFactory

-     public class StatsCollectorSupplierFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatsCollectorSupplierFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.common.base.Supplier<StatsCollector[]>` | `create(IndexSchema schema, List<ExpressionRequest> exRequests)` Builds a Supplier that will generate identical arrays of new StatsCollectors.
    `static Set<String>` | `getStatistics(String expression)` Finds the set of statistics that must be computed for the expression.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatsCollectorSupplierFactory

          public StatsCollectorSupplierFactory()

  - ### Method Detail

    - #### create

          public static com.google.common.base.Supplier<StatsCollector[]> create(IndexSchema schema,
                                                                                 List<ExpressionRequest> exRequests)

      Builds a Supplier that will generate identical arrays of new StatsCollectors.
      Parameters:
        `schema` - The Schema being used.
        `exRequests` - The expression requests to generate a StatsCollector[] from.
      Returns:
        A Supplier that will return an array of new StatsCollector.

    - #### getStatistics

          public static Set<String> getStatistics(String expression)

      Finds the set of statistics that must be computed for the expression.
      Parameters:
        `expression` - The string representation of an expression
      Returns:
        The set of statistics (sum, mean, median, etc.) found in the expression

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.